#!/bin/bash

MGPORTAL_DIR=/usr/local/mgportal
. $MGPORTAL_DIR/bin/defines.incl


# mgportal could be running in another database cluster, see if postgres is running already
# This is not needed if running on a UEB, because it starts the database already
ps -efal | grep postgres | grep -v grep >> $LOG 2>&1
ret=$?
if [ $ret -ne 0 ]
then
	echo "Starting postmaster..." | tee -a $LOG
	sudo -iu postgres pg_ctl start -D $MGPORTAL_DIR/data -l $MGPORTAL_DIR/data/logfile -w  >>$LOG 2>&1
	ret=$?
	if [ $ret -ne 0 ]
	then
		echo "ERROR: pg_ctl start returned $ret." | tee -a $LOG
		error_exit $ret "Start"
	else
		echo "Postgres successfully started." | tee -a $LOG
	fi
else
	echo "Postgres is already running." | tee -a $LOG
	
fi

