#!/bin/bash

MGPORTAL_DIR=/usr/local/mgportal
. $MGPORTAL_DIR/bin/defines.incl

echo "Stopping postmaster..." | tee -a $LOG
STOPPG="sudo -iu postgres pg_ctl stop -D $MGPORTAL_DIR/data"
$STOPPG -w | tee -a $LOG
ret=$?
if [ $ret -ne 0 ]
then
	echo "ERROR: pg_ctl stop returned $ret." | tee -a $LOG
	echo "Stopping postmaster immediately..." | tee -a $LOG
	$STOPPG -w immediate | tee -a $LOG 2>&1
	ret=$?
	if [ $ret -ne 0 ]
	then
		echo "ERROR: pg_ctl stop returned $ret." | tee -a $LOG
	else
		echo "Postgres successfully stopped." | tee -a $LOG
	fi
else
	echo "Postgres successfully stopped." | tee -a $LOG
fi
