
SET search_path TO mgportal;

DO $$
    BEGIN
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN hostname VARCHAR DEFAULT NULL;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column hostname already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN tunnel INTEGER DEFAULT 0;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column tunnel already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN activity SMALLINT DEFAULT 0;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column activity already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN version VARCHAR DEFAULT 'unknown';
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column version already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN credential_id INTEGER DEFAULT NULL REFERENCES mgportal.credentials (credential_id) on DELETE SET NULL;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column credential_id already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.protected ADD COLUMN replication_used REAL DEFAULT 0;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column replication_used already exists in mgportal.protected.';
        END;
    END;
$$